<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("HLP") OR !defined("iAUTH") OR $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

add_to_title($locale['global_200']." ".$locale['HELP_cats']);
include INFUSIONS."help_panel/infusion_db.php";

$message = "";
$help_cat_id = "";
$help_cat_name = "";
$help_cat_image = "";
$formaction = FUSION_SELF.$aidlink;

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['help_cat_id']) && isnum($_GET['help_cat_id']))) {
	$empty = dbcount("(question_id)", DB_HELP_Q, "question_cat='".$_GET['help_cat_id']."'");
	if ($empty > 0) {
	$message = $locale['HELP_cat_delete_error'];
	} else {
	$result_delete = dbquery("DELETE FROM ".DB_HELP_CAT." WHERE help_cat_id='".$_GET['help_cat_id']."'");
	redirect(FUSION_SELF.$aidlink."&status=del");
	}
}

elseif(isset($_POST['submit'])){
    $help_cat_name = stripinput($_POST['help_cat_name']);
	$help_cat_image = stripinput($_POST['help_cat_image']);
	if ($help_cat_name == NULL OR $help_cat_image == NULL ) {
	$message = $locale['HELP_cat_error'];
	} else {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['help_cat_id']) && isnum($_GET['help_cat_id']))) {
		$result = dbquery("UPDATE ".DB_HELP_CAT." SET
			help_cat_name='".$help_cat_name."',
			help_cat_image='".$help_cat_image."'
			WHERE help_cat_id='".$_GET['help_cat_id']."'");
		redirect(FUSION_SELF.$aidlink."&status=su");
		} else {
		$result = dbquery("INSERT INTO ".DB_HELP_CAT." (help_cat_name, help_cat_image) VALUES ('".$help_cat_name."', '".$help_cat_image."');");
		redirect(FUSION_SELF.$aidlink."&status=sn");
		}
	}
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['help_cat_id']) && isnum($_GET['help_cat_id']))) {
	$result = dbquery("SELECT help_cat_id, help_cat_name, help_cat_image FROM ".DB_HELP_CAT." WHERE help_cat_id='".$_GET['help_cat_id']."'");
	if (dbrows($result)) {
			$data = dbarray($result);
			$help_cat_id = $data['help_cat_id'];
			$help_cat_name = $data['help_cat_name'];	
			$help_cat_image = $data['help_cat_image'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;help_cat_id=".$_GET['help_cat_id'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
}

if (isset($_GET['status']) && $message == "") {
	if ($_GET['status'] == "sn") {
		$message .= $locale['HELP_cat_submited'];
	} elseif ($_GET['status'] == "su") {
		$message .= $locale['HELP_cat_edited'];
	} elseif ($_GET['status'] == "del") {
		$message .= $locale['HELP_cat_deleted'];
	}
}

if ($message != "") {  echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }

if (isset($_GET['action']) && $_GET['action'] == "edit") {
	opentable ($locale['HELP_cat_modify']);
} else {
	opentable ($locale['HELP_cat_new']);
}

echo "<form action='".$formaction."' method='post' >\n";
echo "<table width='400px' align='center' cellspacing='0' cellpadding='0' border='0'>\n";
echo "<tr>\n<td class='tbl'>".$locale['HELP_cat_name']."</td>\n";
echo "<td class='tbl'><input type='text' name='help_cat_name' class='textbox' style='width:200px;' value='".$help_cat_name."'></td>\n</tr>\n";
echo "<td class='tbl'>".$locale['HELP_cat_image']."</td>";
echo "<td class='tbl'><select class='textbox' style='width:200px;' name='help_cat_image'>\n";

// List images form the cats directory
foreach(glob('../images/cats/{*.png,*.jpg,*.gif}',GLOB_BRACE) as $filename){
    echo "<option value='".basename($filename)."'";
	if (isset($_GET['action']) && $_GET['action'] == "edit" && (basename($filename) == $help_cat_image)) {echo " selected='selected'";}
	echo ">".basename($filename)."</option>\n";
}

echo "</select>\n</td>\n</tr>\n";
echo "<tr>\n<td class='tbl' style='text-align:center;' colspan='2'>";

if (isset($_GET['action']) && $_GET['action'] == "edit") {
	echo "<input type='submit' name='submit' value='".$locale['HELP_modify']."' class='button'>\n
	<input type='reset' value='".$locale['HELP_cancel']."' class='button' onclick=\"location.href='".FUSION_SELF.$aidlink."';\"/>\n";
} else {
	echo "<input type='submit' name='submit' value='".$locale['HELP_add']."' class='button'>\n";
	echo "<input type='button' value='".$locale['HELP_sub_cats']."' class='button' onclick=\"location.href='".$HELP_PATH."admin/subcats.php".$aidlink."';\"/>\n";
}

echo "</td>\n</tr>\n";
echo "</table>\n";
echo "</form>\n";

closetable();

opentable($locale['HELP_cats']);

$list_values = dbquery("SELECT * FROM ".DB_HELP_CAT." ORDER BY help_cat_name ASC");

if (dbrows($list_values)) {
	while ($data = dbarray($list_values)) {
		echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>\n";
		echo "<tr><td class='tbl2' style='width:128px;text-align:center;'>\n<img src='".$HELP_PATH."images/cats/".$data['help_cat_image']."' alt='' border='0' />\n
		<br />\n<strong>".$data['help_cat_name']."</strong>\n<br />\n<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;help_cat_id=".$data['help_cat_id']."' \">".$locale['HELP_edit']."</a>\n
		<br />\n<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;help_cat_id=".$data['help_cat_id']."' onclick=\"return confirm('".$locale['HELP_delete_warning']."');\">".$locale['HELP_delete']."</a>\n</td>\n";
		echo "<td class='tbl' style='text-align:center;'>\n";
		$list_values2 = dbquery("SELECT * FROM ".DB_HELP_SUBCAT." WHERE help_parent_id='".$data['help_cat_id']."' ORDER BY help_scat_name ASC");
		if (dbrows($list_values2)) {
			while ($data2 = dbarray($list_values2)) {
				echo "<div style='display:inline-block;margin:8px;text-align:center;'>\n<img src='".$HELP_PATH."images/subcats/".$data2['help_scat_image']."' alt='' border='0' />\n";
				echo "<br />\n<strong>".$data2['help_scat_name']."</strong>\n<br />\n<a href='".$HELP_PATH."admin/subcats.php".$aidlink."&amp;action=edit&amp;help_scat_id=".$data2['help_scat_id']."' \">".$locale['HELP_edit']."</a>\n<br />\n<a href='".$HELP_PATH."admin/subcats.php".$aidlink."&amp;action=delete&amp;help_scat_id=".$data2['help_scat_id']."' 
				onclick=\"return confirm('".$locale['HELP_delete_warning']."');\">".$locale['HELP_delete']."</a>\n</div>\n";
			}
		} else {
			echo $locale['HELP_cat_no_child'];
		}
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		echo "</br />\n";
	}
} else {
	echo "<center>".$locale['HELP_cats']."</center>\n";
}

closetable();

require_once THEMES."templates/footer.php";

?>