<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
if (!checkrights("HLP") OR !defined("iAUTH") OR $_GET['aid'] != iAUTH) { redirect(BASEDIR."index.php"); }

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

add_to_title($locale['global_200']." ".$locale['HELP_cats']);
include INFUSIONS."help_panel/infusion_db.php";

$message = "";
$help_scat_id = "";
$help_parent_id = "";
$help_scat_name = "";
$help_scat_image = "";
$formaction = FUSION_SELF.$aidlink;

if ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['help_scat_id']) && isnum($_GET['help_scat_id']))) {
	$question_cat = dbquery("UPDATE ".DB_HELP_Q." SET question_scat='0' WHERE question_scat='".$_GET['help_scat_id']."'");
	$result_delete = dbquery("DELETE FROM ".DB_HELP_SUBCAT." WHERE help_scat_id='".$_GET['help_scat_id']."'");
	redirect($HELP_PATH."admin/index.php".$aidlink."&status=del");
}

elseif(isset($_POST['submit'])){
    $help_scat_name = stripinput($_POST['help_scat_name']);
	$help_parent_id = stripinput($_POST['help_parent_id']);
	$help_scat_image = stripinput($_POST['help_scat_image']);
	if ($help_scat_name == NULL OR $help_scat_image == NULL ) {
	$message = $locale['HELP_cat_error'];
	} else {
		if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['help_scat_id']) && isnum($_GET['help_scat_id']))) {
		$result = dbquery("UPDATE ".DB_HELP_SUBCAT." SET
			help_scat_name='".$help_scat_name."',
			help_parent_id='".$help_parent_id."',
			help_scat_image='".$help_scat_image."'
			WHERE help_scat_id='".$_GET['help_scat_id']."'");
		redirect($HELP_PATH."admin/index.php".$aidlink."&status=su");
		} else {
		$result = dbquery("INSERT INTO ".DB_HELP_SUBCAT." (help_scat_name, help_parent_id, help_scat_image) VALUES ('".$help_scat_name."', '".$help_parent_id."', '".$help_scat_image."');");
		redirect($HELP_PATH."admin/index.php".$aidlink."&status=sn");
		}
	}
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['help_scat_id']) && isnum($_GET['help_scat_id']))) {
	$result = dbquery("SELECT help_scat_id, help_scat_name, help_parent_id, help_scat_image FROM ".DB_HELP_SUBCAT." WHERE help_scat_id='".$_GET['help_scat_id']."'");
	if (dbrows($result)) {
			$data = dbarray($result);
			$help_scat_id = $data['help_scat_id'];
			$help_parent_id = $data['help_parent_id'];
			$help_scat_name = $data['help_scat_name'];	
			$help_scat_image = $data['help_scat_image'];
			$formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;help_scat_id=".$_GET['help_scat_id'];
	} else {
		redirect(FUSION_SELF.$aidlink);
	}
}

if ($message != "") {  echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }

if (isset($_GET['action']) && $_GET['action'] == "edit") {
	opentable ($locale['HELP_cat_modify']);
} else {
	opentable ($locale['HELP_cat_new']);
}

// Get parent categories
$parent_cats = dbquery("SELECT help_cat_id, help_cat_name, help_cat_image FROM ".DB_HELP_CAT."");
if (dbrows($parent_cats) != 0) {
echo "<form action='".$formaction."' method='post' >\n";
echo "<table width='400px' align='center' cellspacing='0' cellpadding='0' border='0'>\n";
echo "<td class='tbl'>".$locale['HELP_cat_parent']."</td>";
echo "<td class='tbl'><select class='textbox' style='width:200px;' name='help_parent_id'>\n";
	while ($data = dbarray($parent_cats)) {
		echo "<option value='".$data['help_cat_id']."'";
		if (isset($_GET['action']) && $_GET['action'] == "edit" && ($data['help_cat_id'] == $help_parent_id)) {echo " selected='selected'";}
		echo ">".$data['help_cat_name']."</option>\n";
	}
echo "</select>\n</td>\n</tr>\n";
echo "<tr>\n<td class='tbl'>".$locale['HELP_cat_name']."</td>\n";
echo "<td class='tbl'><input type='text' name='help_scat_name' class='textbox' style='width:200px;' value='".$help_scat_name."'></td>\n</tr>\n";
echo "<td class='tbl'>".$locale['HELP_cat_image']."</td>";
echo "<td class='tbl'><select class='textbox' style='width:200px;' name='help_scat_image'>\n";

// List images form the cats directory
foreach(glob('../images/subcats/{*.png,*.jpg,*.gif}',GLOB_BRACE) as $filename){
    echo "<option value='".basename($filename)."'";
	if (isset($_GET['action']) && $_GET['action'] == "edit" && (basename($filename) == $help_scat_image)) {echo " selected='selected'";}
	echo ">".basename($filename)."</option>\n";
}

echo "</select>\n</td>\n</tr>\n";
echo "<tr>\n<td class='tbl' style='text-align:center;' colspan='2'>";

if (isset($_GET['action']) && $_GET['action'] == "edit") {
	echo "<input type='submit' name='submit' value='".$locale['HELP_modify']."' class='button'>\n";
} else {
	echo "<input type='submit' name='submit' value='".$locale['HELP_add']."' class='button'>\n";
}

echo "<input type='reset' value='".$locale['HELP_cancel']."' class='button' onclick=\"location.href='".$HELP_PATH."admin/index.php".$aidlink."';\"/>\n";

echo "</td>\n</tr>\n";
echo "</table>\n";
echo "</form>\n";
} else {
	echo "<center>".$locale['HELP_cot_no_parents']."</center>\n";
}
closetable();

require_once THEMES."templates/footer.php";

?>