<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: cats.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

add_to_head("<link rel='stylesheet' href='".INFUSIONS."help_panel/styles.css' type='text/css' media='screen' />\n");
add_to_title($locale['global_200']." ".$locale['HELP_title']." ".$locale['HELP_cats']);

include INFUSIONS."help_panel/infusion_db.php";

if (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {

// Select category name to show as table title
$cat = dbquery("SELECT help_cat_id, help_cat_name, help_cat_image
				   FROM ".DB_HELP_CAT." WHERE help_cat_id='".$_GET['cat_id']."'");
if (dbrows($cat)) {
	while ($data = dbarray($cat)) {
		opentable($data['help_cat_name']);
	}
} else {
	// Redirect if doesn't exist
	redirect(FUSION_SELF);
}

$subcat = dbquery("SELECT help_scat_id, help_parent_id, help_scat_name, help_scat_image
				   FROM ".DB_HELP_SUBCAT." WHERE help_parent_id='".$_GET['cat_id']."'
				   ORDER BY help_scat_name ASC");

echo "<div style='width:100%;text-align:center;'>";
if (dbrows($subcat)) {
	while ($data = dbarray($subcat)) {
			$sub_questions_count = dbcount("(question_scat)", DB_HELP_Q, "question_scat='".$data['help_scat_id']."'");
			echo "<div style='display:inline-block;margin:8px;text-align:center;'>\n<img src='".$HELP_PATH."images/subcats/".$data['help_scat_image']."' alt='' border='0' />\n";
			echo "<br />\n<a href='".FUSION_SELF."?scat_id=".$data['help_scat_id']."'>".$data['help_scat_name']." (".$sub_questions_count.")</a>\n</div>\n";
	}
} else {
	echo "<center>".$locale['HELP_cat_no_child']."</center>\n";
}
echo "</div>";		

closetable();

opentable("");				   
 
$result = dbquery("SELECT hq.*, cat.help_cat_id, cat.help_cat_name, scat.help_scat_id, scat.help_scat_name, 
				   users.user_id, users.user_name FROM ".DB_HELP_Q." hq 
				   LEFT JOIN ".DB_HELP_CAT." cat ON hq.question_cat=cat.help_cat_id 
				   LEFT JOIN ".DB_HELP_SUBCAT." scat ON hq.question_scat=scat.help_scat_id 
				   LEFT JOIN ".DB_USERS." users ON hq.question_user_id=users.user_id 
				   WHERE question_cat='".$_GET['cat_id']."' ORDER BY question_datestamp DESC");

$question_rows = dbrows($result); 
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

	if ($question_rows) {
		$result = dbquery("SELECT hq.*, cat.help_cat_id, cat.help_cat_name, scat.help_scat_id, scat.help_scat_name, 
						   users.user_id, users.user_name FROM ".DB_HELP_Q." hq 
						   LEFT JOIN ".DB_HELP_CAT." cat ON hq.question_cat=cat.help_cat_id 
						   LEFT JOIN ".DB_HELP_SUBCAT." scat ON hq.question_scat=scat.help_scat_id 
						   LEFT JOIN ".DB_USERS." users ON hq.question_user_id=users.user_id 
						   WHERE question_cat='".$_GET['cat_id']."' ORDER BY question_datestamp DESC 
						   LIMIT ".$_GET['rowstart'].", ".$items_per_page."");
		
		while ($data = dbarray($result)) {
			
			include $HELP_PATH."includes/question_layout.php";
			
		}
	} else {
		echo "<center>".$locale['HELP_cat_empty']."</center>\n";
	}

	if ($question_rows > $items_per_page) {
	echo "<div style='display:block;text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $question_rows, 3, FUSION_SELF."?&amp;")."</div>\n";
	}
	
	closetable();

} elseif (isset($_GET['scat_id']) && isnum($_GET['scat_id'])) {

// Select category name to show as table title
$cat = dbquery("SELECT help_scat_id, help_scat_name, help_scat_image
				   FROM ".DB_HELP_SUBCAT." WHERE help_scat_id='".$_GET['scat_id']."'");
if (dbrows($cat)) {
	while ($data = dbarray($cat)) {
		opentable($data['help_scat_name']);
	}
} else {
	// Redirect if doesn't exist
	redirect(FUSION_SELF);
}			   
 
$result = dbquery("SELECT hq.*, cat.help_cat_id, cat.help_cat_name, scat.help_scat_id, scat.help_scat_name, 
				   users.user_id, users.user_name FROM ".DB_HELP_Q." hq 
				   LEFT JOIN ".DB_HELP_CAT." cat ON hq.question_cat=cat.help_cat_id 
				   LEFT JOIN ".DB_HELP_SUBCAT." scat ON hq.question_scat=scat.help_scat_id 
				   LEFT JOIN ".DB_USERS." users ON hq.question_user_id=users.user_id  
				   WHERE question_scat='".$_GET['scat_id']."' ORDER BY question_datestamp DESC");

$question_rows = dbrows($result); 
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }

	if ($question_rows) {
		$result = dbquery("SELECT hq.*, cat.help_cat_id, cat.help_cat_name, scat.help_scat_id, scat.help_scat_name, 
						   users.user_id, users.user_name FROM ".DB_HELP_Q." hq 
						   LEFT JOIN ".DB_HELP_CAT." cat ON hq.question_cat=cat.help_cat_id 
						   LEFT JOIN ".DB_HELP_SUBCAT." scat ON hq.question_scat=scat.help_scat_id 
						   LEFT JOIN ".DB_USERS." users ON hq.question_user_id=users.user_id 
						   WHERE question_scat='".$_GET['scat_id']."' ORDER BY question_datestamp DESC 
						   LIMIT ".$_GET['rowstart'].", ".$items_per_page."");
		
		while ($data = dbarray($result)) {
			
			include $HELP_PATH."includes/question_layout.php";
			
		}
	} else {
		echo "<center>".$locale['HELP_cat_empty']."</center>\n";
	}

	if ($question_rows > $items_per_page) {
	echo "<div style='display:block;text-align:center;'>".makepagenav($_GET['rowstart'], $items_per_page, $question_rows, 3, FUSION_SELF."?&amp;")."</div>\n";
	}
	
	closetable();	

} else {
// Main page
opentable($locale['HELP_cats']);

$result = dbquery("SELECT * FROM ".DB_HELP_CAT." ORDER BY help_cat_name ASC");

if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$questions_count = dbcount("(question_cat)", DB_HELP_Q, "question_cat='".$data['help_cat_id']."'");
		
		echo "<table cellpadding='0' cellspacing='0' width='100%' class='tbl-border'>\n";
		echo "<tr>\n<td class='tbl2' style='width:128px;text-align:center;'>\n<img src='".$HELP_PATH."images/cats/".$data['help_cat_image']."' alt='' border='0' />\n
		<br />\n<a href='".FUSION_SELF."?cat_id=".$data['help_cat_id']."'>".$data['help_cat_name']." (".$questions_count.")</a>\n</td>\n";
		echo "<td class='tbl' style='text-align:center;'>\n";
		$result2 = dbquery("SELECT * FROM ".DB_HELP_SUBCAT." WHERE help_parent_id='".$data['help_cat_id']."' ORDER BY help_scat_name ASC");
		if (dbrows($result2)) {
			while ($data2 = dbarray($result2)) {
				$sub_questions_count = dbcount("(question_scat)", DB_HELP_Q, "question_scat='".$data2['help_scat_id']."'");
				echo "<div style='display:inline-block;margin:8px;text-align:center;'>\n<img src='".$HELP_PATH."images/subcats/".$data2['help_scat_image']."' alt='' border='0' />\n";
				echo "<br />\n<a href='".FUSION_SELF."?scat_id=".$data2['help_scat_id']."'>".$data2['help_scat_name']." (".$sub_questions_count.")</a>\n</div>\n";
			}
		} else {
			echo $locale['HELP_cat_no_child'];
		}
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n";
		echo "</br />\n";
	}
} else {
	echo "<center>".$locale['HELP_cats']."</center>\n";
}

closetable();

}

require_once THEMES."templates/footer.php";

?>