<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: edit_answer.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

add_to_title($locale['global_200']." ".$locale['HELP_answer_edit']);
include INFUSIONS."help_panel/infusion_db.php";
global $userdata;

if (isset($_GET['answer_id']) && isnum($_GET['answer_id'])) {

$auth = dbquery("SELECT answer_user_id, question_id FROM ".DB_HELP_A." WHERE answer_id='".$_GET['answer_id']."'");
	if (dbrows($auth)) {
	$authdata = dbarray($auth); 
		if ($userdata['user_id'] == $authdata['answer_user_id'] OR (iADMIN && checkrights("HLP"))) {
		//Nothing here
		} else {
		redirect(INFUSIONS."help_panel/index.php?question_id=".$authdata['question_id']."");
		}
	}

$message = "";

$result = dbquery("SELECT answer_id, question_id, answer_message, answer_datestamp, answer_user_id, answer_solution 
				   FROM ".DB_HELP_A." WHERE answer_id='".$_GET['answer_id']."'");
	if (dbrows($result)) {
		$data = dbarray($result);
		$answer_message = $data['answer_message'];
		$question_id = $data['question_id'];
	}

if (isset($_POST['submit'])) {
	$answer_message = stripinput($_POST['answer_message']);
	if ($answer_message == NULL) {
	$message = $locale['HELP_answer_edit_error'];
	} else {
			$update = dbquery("UPDATE ".DB_HELP_A." SET
				answer_message='".$answer_message."'
				WHERE answer_id='".$_GET['answer_id']."'");
			redirect(INFUSIONS."help_panel/index.php?question_id=".$question_id."");
	}
}

if ($message != "") {  echo "<div class='admin-message'>".$message."</div>\n"; }

opentable ($locale['HELP_answer_edit']);

require_once INCLUDES."bbcode_include.php";
echo "<form id='inputform' name='inputform' method='post' action='".FUSION_SELF."?answer_id=".$_GET['answer_id']."' enctype='multipart/form-data'>\n";
echo "<center><textarea name='answer_message' cols='60' rows='5' class='textbox' style='width:90%;'>".$answer_message."</textarea></center>\n";
echo "<center>".display_bbcodes("100%", "answer_message", "inputform")."</center>\n";
echo "<center><input type='submit' name='submit' value='".$locale['HELP_modify']."' class='button'>\n";
echo "<input type='reset' value='".$locale['HELP_cancel']."' 
	  class='button' onclick=\"location.href='".INFUSIONS."help_panel/index.php?question_id=".$question_id."';\"/></center>\n";
echo "</form>\n";

closetable();
} else {
	redirect(INFUSIONS."help_panel/index.php");
}

require_once THEMES."templates/footer.php";

?>