<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: question_layout.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }
	
	// Define style
	if ($data['question_solved'] == 1) {
		$table_style = "question-tbl-solved";
	} else {
		$table_style = "question-tbl";
	}
	
	$comments_count = dbcount("(answer_id)", DB_HELP_A, "question_id='".$data['question_id']."'");
	
	echo "<table class='".$table_style."' style='margin-bottom:5px;' width='100%' cellpadding='0' cellspacing='0'>\n";
	echo "<tr>\n<td style='text-align:center;width:64px;'>\n";
	if ($data['question_solved'] == 1) {
	echo "<img src='".$HELP_PATH."images/solved.png' alt='' />\n";
	} else {
	echo "<img src='".$HELP_PATH."images/help.png' alt='' />\n";
	}
	echo "</td>\n";
	echo "<td class='question-tbl1' style='vertical-align:middle;font-size:1.5em;'>\n<a href='".$HELP_PATH."index.php?question_id=".$data['question_id']."'>\n";
	if ($data['question_solved'] == 1) {echo $locale['HELP_question_solved']." ";}
	echo trimlink($data['question_title'],80)."</a>\n</td>\n</tr>\n";
	echo "<tr>\n<td class='question-tbl2' colspan='2'>\n";
	echo "<img src='".$HELP_PATH."images/author.png' alt='' style='vertical-align:top;' title='".$locale['HELP_question_author']."' />\n";
	if ($data['user_id'] != NULL) {
	echo "<a href='".BASEDIR."profile.php?lookup=".$data['question_user_id']."'>".$data['user_name']."</a>\n";
	} else {
		echo $locale['HELP_user_unknown']."\n";
	}
	echo "<img src='".$HELP_PATH."images/cat.png' alt='' style='vertical-align:top;margin-left:8px;' title='".$locale['HELP_cat']."' /> <a href='".$HELP_PATH."cats.php?cat_id=".$data['question_cat']."'>".$data['help_cat_name']."</a>";
	if ($data['help_scat_id'] != NULL) {
		echo ", <a href='".$HELP_PATH."cats.php?scat_id=".$data['help_scat_id']."'>".$data['help_scat_name']."</a>\n";
	}
	echo "<img src='".$HELP_PATH."images/date.png' alt='' style='vertical-align:top;margin-left:8px;' title='".$locale['HELP_question_date']."' /> ".showdate("longdate", $data['question_datestamp'])."\n";
	echo "<img src='".$HELP_PATH."images/views.png' alt='' style='vertical-align:top;margin-left:8px;' title='".$locale['HELP_question_views']."' /> ".$data['question_count']."\n";
	echo "<img src='".$HELP_PATH."images/answers.png' alt='' style='vertical-align:top;margin-left:8px;' title='".$locale['HELP_question_comments']."' /> ".$comments_count."\n";
	echo "</table>\n";

?>