<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: new_question.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

add_to_title($locale['global_200']." ".$locale['HELP_new_question']);
include INFUSIONS."help_panel/infusion_db.php";

if (iMEMBER) {

$message = "";

if (isset($_POST['submit'])){
	global $userdata;
	$question_title = stripinput($_POST['question_title']);
    $question_description = stripinput($_POST['question_description']);
	$question_cat_string = stripinput($_POST['question_cat']);
	$cat_array = explode(',', $question_cat_string);
	$question_cat = $cat_array[0];
	$question_scat = $cat_array[1];
	if ($question_title == NULL OR $question_description == NULL) {
	$message = $locale['HELP_question_error'];
	} else {
			$result = dbquery("INSERT INTO ".DB_HELP_Q." (question_title, question_description, question_cat, question_scat, question_datestamp, question_user_id) 
							   VALUES ('".$question_title."', '".$question_description."', '".$question_cat."', '".$question_scat."', '".time()."', '".$userdata['user_id']."');");
			redirect(INFUSIONS."help_panel/index.php");
	}
}

if ($message != "") {  echo "<div class='admin-message'>".$message."</div>\n"; }

opentable ($locale['HELP_new_question']);

require_once INCLUDES."bbcode_include.php";
echo "<form id='inputform' name='inputform' method='post' action='".FUSION_SELF."' enctype='multipart/form-data'>\n";
echo "<table width='100%' cellspacing='0' cellpadding='0' class='center'>\n";
echo "<tr>\n<td class='tbl' width='150px'>".$locale['HELP_question_title']."</td>\n";
echo "<td class='tbl'><input type='text' name='question_title' class='textbox' style='width:98%;' value=''></td>\n</tr>\n";
echo "<tr>\n<td class='tbl'>".$locale['HELP_question_desc']."</td>\n";
echo "<td class='tbl'><textarea name='question_description' cols='60' rows='20' class='textbox' style='width:98%;'></textarea></td>\n";
echo "</tr>\n";
echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>".display_bbcodes("100%", "question_description", "inputform")."</td>\n";
echo "<tr>\n<td class='tbl'>".$locale['HELP_question_cat']."</td>\n";
echo "<td class='tbl'><select class='textbox' name='question_cat' style='width:200px;'>\n";
$cats = dbquery("SELECT * FROM ".DB_HELP_CAT." ORDER BY help_cat_name ASC");
if (dbrows($cats) != 0) {
	while ($data = dbarray($cats)) {
		echo "<option value='".$data['help_cat_id'].",0'>".$data['help_cat_name']."</option>\n";
		$result2 = dbquery("SELECT * FROM ".DB_HELP_SUBCAT." WHERE help_parent_id='".$data['help_cat_id']."' ORDER BY help_scat_name ASC");
		while ($data2 = dbarray($result2)) {
		echo "<option value='".$data['help_cat_id'].",".$data2['help_scat_id']."'>&rdsh; ".$data2['help_scat_name']."</option>\n";
		}
	}
}
echo "</select>\n</td>\n</tr>\n";
echo "</table>\n";
echo "<center>\n<input type='submit' name='submit' value='".$locale['HELP_add']."' class='button'>\n";
echo "<input type='reset' value='".$locale['HELP_cancel']."' 
	  class='button' onclick=\"location.href='".INFUSIONS."help_panel/index.php';\"/>\n</center>\n";
echo "</form>\n";

closetable();

} else {
	opentable ($locale['HELP_new_question']);
	echo "<center>".$locale['HELP_question_login']."</center>";
	closetable();
}


require_once THEMES."templates/footer.php";

?>