<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_help_include.php
| Author: Driv3r, based on the work of Robert Gaudyn (Wooya)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."help_panel/infusion_db.php";
include LOCALE.LOCALESET."search/help.php";

if ($_GET['stype'] == "help" || $_GET['stype']=="all") {
	if ($_GET['sort'] == "datestamp") {
		$sortby = "question_datestamp";
	} else if ($_GET['sort'] == "subject") {
		$sortby = "question_title";
	} else if ($_GET['sort'] == "author") {
		$sortby = "question_user_id";
	}
	$ssubject = search_querylike("question_title");
	$smessage = search_querylike("question_description");
	if ($_GET['fields'] == 0) {
		$fieldsvar = search_fieldsvar($ssubject);
	} else if ($_GET['fields'] == 1) {
		$fieldsvar = search_fieldsvar($smessage);
	} else if ($_GET['fields'] == 2) {
		$fieldsvar = search_fieldsvar($ssubject, $smessage);
	} else {
		$fieldsvar = "";
	}
	if ($fieldsvar) {
		$result = dbquery(
			"SELECT th.*,thc.* FROM ".DB_HELP_Q." th
			INNER JOIN ".DB_HELP_CAT." thc ON th.question_cat=thc.help_cat_id
			WHERE ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND question_datestamp>=".(time() - $_GET['datelimit']):"")
		);	 
		$rows = dbrows($result);
	} else {
		$rows = 0;
	}
	if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=help&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? $locale['h401'] : $locale['h402'])." ".$locale['522']."</a><br />\n";
		$result = dbquery(
			"SELECT th.*,thc.*, tu.user_id, tu.user_name, tu.user_status FROM ".DB_HELP_Q." th
			INNER JOIN ".DB_HELP_CAT." thc ON th.question_cat=thc.help_cat_id
			LEFT JOIN ".DB_USERS." tu ON th.question_user_id=tu.user_id
			WHERE ".$fieldsvar."
			".($_GET['datelimit'] != 0 ? " AND question_datestamp>=".(time() - $_GET['datelimit']):"")."
			ORDER BY ".$sortby." ".($_GET['order'] != 1 ? "ASC":"DESC").($_GET['stype'] != "all" ? " LIMIT ".$_GET['rowstart'].",10" : "")
		);
		while ($data = dbarray($result)) {
			$search_result = "";
			$text_all = search_striphtmlbbcodes($data['question_description']." ".$data['question_title']);
			$text_frag = search_textfrag($text_all);
			$subj_c = search_stringscount($data['question_title']);
			$text_c = search_stringscount($data['question_description']);
			
			$search_result .= "<a href='".INFUSIONS."help_panel/index.php?question_id=".$data['question_id']."'>".$data['question_title']."</a>"."<br /><br />\n";
			$search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />";
			$search_result .= "<span class='small2'>".$locale['global_070'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."\n";
			$search_result .= $locale['global_071'].showdate("longdate", $data['question_datestamp'])."</span><br />\n";
			$search_result .= "<span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['520'] : $locale['521'])." ".$locale['522']." ".$locale['h404'].", ";
			$search_result .= $text_c." ".($text_c == 1 ? $locale['520'] : $locale['521'])." ".$locale['522']." ".$locale['h405']."</span><br /><br />\n";
			search_globalarray($search_result);
		}
	} else {
		$items_count .= THEME_BULLET."&nbsp;0 ".$locale['h402']." ".$locale['522']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>