<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: help_panel.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

include INFUSIONS."help_panel/infusion_db.php";

$result = dbquery("SELECT question_id, question_title, question_solved 
				   FROM ".DB_HELP_Q." ORDER BY question_datestamp DESC
				   LIMIT 0,5");

openside($locale['HELP_panel_title']);

echo "<table width='100%' cellpadding='0' cellspacing='0' border='0'>";
if (dbrows($result)) {
	while ($data = dbarray($result)) {
		$comments_count = dbcount("(answer_id)", DB_HELP_A, "question_id='".$data['question_id']."'");
		
		echo "<tr><td>";
		if ($data['question_solved'] == 1) {
			echo "<img src='".$HELP_PATH."images/solved16.png' alt='' />\n";
			} else {
			echo "<img src='".$HELP_PATH."images/help16.png' alt='' />\n";
			}
		echo "</td>";
		echo "<td class='tbl'><a href='".$HELP_PATH."index.php?question_id=".$data['question_id']."'>".trimlink($data['question_title'],26)."</a></td>";
		echo "<td style='width:20px;'><img src='".$HELP_PATH."images/answer16.png' alt='' /></td><td>".$comments_count."</td></tr>";
	}
} else {
	echo "<center>".$locale['HELP_question_no_result']."</center>\n";
}
echo "</table>";

closeside();

?>