<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: Driv3r
| Email: oprend@oprend.hu
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."help_panel/infusion_db.php";

if (file_exists(INFUSIONS."help_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."help_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."help_panel/locale/English.php";
}

// Infusion general information
$inf_title = $locale['HELP_title'];
$inf_description = $locale['HELP_desc'];
$inf_version = "1.0";
$inf_developer = "Driv3r";
$inf_email = "oprend@oprend.hu";
$inf_weburl = "http://oprend.hu";
$inf_folder = "help_panel";

// Delete any items not required below.
$inf_newtable[1] = DB_HELP_Q." (
question_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
question_title VARCHAR(100) NOT NULL DEFAULT '',
question_description TEXT NOT NULL,
question_cat VARCHAR(20) NOT NULL DEFAULT '',
question_scat VARCHAR(20) NOT NULL DEFAULT '0',
question_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
question_edittime INT(10) UNSIGNED NOT NULL DEFAULT '0',
question_count INT(10) UNSIGNED NOT NULL DEFAULT '0',
question_user_id MEDIUMINT(8) UNSIGNED NOT NULL,
question_solved TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (question_id)
) ENGINE=MyISAM;";

$inf_newtable[2] = DB_HELP_A." (
answer_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
question_id MEDIUMINT(8) UNSIGNED NOT NULL,
answer_message TEXT NOT NULL,
answer_datestamp INT(10) UNSIGNED NOT NULL DEFAULT '0',
answer_user_id MEDIUMINT(8) UNSIGNED NOT NULL,
answer_solution TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (answer_id)
) ENGINE=MyISAM;";

$inf_newtable[3] = DB_HELP_CAT." (
help_cat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
help_cat_name VARCHAR(100) NOT NULL DEFAULT '',
help_cat_image VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (help_cat_id)
) ENGINE=MyISAM;";

$inf_newtable[4] = DB_HELP_SUBCAT." (
help_scat_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
help_parent_id MEDIUMINT(8) UNSIGNED NOT NULL,
help_scat_name VARCHAR(100) NOT NULL DEFAULT '',
help_scat_image VARCHAR(100) NOT NULL DEFAULT '',
PRIMARY KEY (help_scat_id)
) ENGINE=MyISAM;";

$inf_newtable[5] = DB_HELP_LIKE." (
like_id MEDIUMINT(8) UNSIGNED NOT NULL AUTO_INCREMENT,
like_user_id MEDIUMINT(8) UNSIGNED NOT NULL,
like_answer_id MEDIUMINT(8) UNSIGNED NOT NULL,
like_liked TINYINT(1) UNSIGNED NOT NULL DEFAULT '0',
PRIMARY KEY (like_id)
) ENGINE=MyISAM;";

$inf_insertdbrow[1] = DB_HELP_CAT." VALUES ('1', '".$locale['HELP_cat_software']."', 'software.png')";
$inf_insertdbrow[2] = DB_HELP_CAT." VALUES ('2', '".$locale['HELP_cat_hardware']."', 'hardware.png')";

$inf_droptable[1] = DB_HELP_Q;
$inf_droptable[2] = DB_HELP_A;
$inf_droptable[3] = DB_HELP_CAT;
$inf_droptable[4] = DB_HELP_SUBCAT;
$inf_droptable[5] = DB_HELP_LIKE;

$inf_deldbrow[1] = DB_PANELS." WHERE panel_filename='help_panel'";

$inf_adminpanel[1] = array(
	"title" => $locale['HELP_title'],
	"image" => "help.png",
	"panel" => "admin/index.php",
	"rights" => "HLP"
);

$inf_sitelink[1] = array(
    "title" => $locale['HELP_title'],
    "url" => "index.php",
    "visibility" => "0"
);

?>