<?php
$locale['HELP_title'] = "Help";

$locale['HELP_desc'] = "This infusion makes possible to ask questions, and to answer them by the community.";
$locale['HELP_admin1'] = "Help categories";

// General
$locale['HELP_edit'] = "Edit";
$locale['HELP_delete'] = "Delete";
$locale['HELP_add'] = "Add";
$locale['HELP_modify'] = "Modify";
$locale['HELP_cancel'] = "Cancel";

// Index
$locale['HELP_new_question'] = "New question";
$locale['HELP_new_submit'] = "Submit";
$locale['HELP_filter_list'] = "Filter:";
$locale['HELP_filter_none'] = "None";
$locale['HELP_filter_solved'] = "Solved";
$locale['HELP_filter_unsolved'] = "Unsolved";
$locale['HELP_filter_own'] = "My questions";
$locale['HELP_filter_cats'] = "Categories";
$locale['HELP_search_text'] = "Search";
$locale['HELP_search_button'] = "OK";
$locale['HELP_question_no_result'] = "No questions yet.";
$locale['HELP_question_filtered_no_result'] = "No items found.";
$locale['HELP_question_login'] = "Only members can ask new questions.";

// Question layout
$locale['HELP_user_unknown'] = "Unknown";
$locale['HELP_question_solved'] = "[Solved]";
$locale['HELP_question_author'] = "Author";
$locale['HELP_question_date'] = "Date";
$locale['HELP_question_edittime'] = "Edited";
$locale['HELP_question_views'] = "Views";
$locale['HELP_question_comments'] = "Comments";

// Question details
$locale['HELP_delete_warning'] = "Are you sure you want to delete?";
$locale['HELP_solution'] = "Solution";
$locale['HELP_no_answers'] = "No answers have been posted about this question.";
$locale['HELP_like'] = "Like";

// Post/edit answer
$locale['HELP_answer_error'] = "Unable to send answer: You might left the filed empty!";
$locale['HELP_answer_edit_error'] = "Unable to edit answer: You might left the filed empty!";
$locale['HELP_answer_title'] = "Send answer";
$locale['HELP_answer_edit'] = "Edit answer";
$locale['HELP_send'] = "Send";
$locale['HELP_answer_login'] = "Only members can send answers.";

// New/edit question
$locale['HELP_new_question'] = "New question";
$locale['HELP_edit_question'] = "Edit question";
$locale['HELP_question_error'] = "You need to fill the title and description field!";
$locale['HELP_question_title'] = "Title:";
$locale['HELP_question_desc'] = "Description:";
$locale['HELP_question_cat'] = "Category:";
$locale['HELP_question_solve'] = "Solve:";

// Cats
$locale['HELP_cats'] = "Categories";
$locale['HELP_cat'] = "Category";
$locale['HELP_cat_name'] = "Category name:";
$locale['HELP_cat_image'] = "Category image:";
$locale['HELP_no_cats'] = "There are no categories.";
$locale['HELP_cat_options'] = "Options";
$locale['HELP_cat_submited'] = "Category added!";
$locale['HELP_cat_edited'] = "Category modified!";
$locale['HELP_cat_deleted'] = "Category deleted!";
$locale['HELP_cat_error'] = "You can't left any of the fields empty!";
$locale['HELP_cat_modify'] = "Edit category";
$locale['HELP_cat_new'] = "New category";
$locale['HELP_cat_empty'] = "No items in this category.";
$locale['HELP_cat_delete_error'] = "Unable to delete category, because it's not empty!";

// Subcats
$locale['HELP_sub_cats'] = "Subcategories";
$locale['HELP_cat_parent'] = "Parent category";
$locale['HELP_cat_no_child'] = "No subcategories in this category.";
$locale['HELP_cot_no_parents'] = "You can't create subcategories without parent categories!";

// Panel
$locale['HELP_panel_title'] = "Latest questions";

// Sample cats
$locale['HELP_cat_software'] = "Software";
$locale['HELP_cat_hardware'] = "Hardware";

?>
